commit:     5cd919abcca6b042ff8d525dcc95d96fc51427b4
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 16 08:56:34 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Feb 16 12:02:30 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5cd919ab

dev-ruby/tidy_table: fix gemspec

dev-ruby/hoe was listed as a runtime dependency in the gemspec but it is
a built-time dependency that we don't use.

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-ruby/tidy_table/tidy_table-0.0.5-r5.ebuild | 31 ++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/dev-ruby/tidy_table/tidy_table-0.0.5-r5.ebuild 
b/dev-ruby/tidy_table/tidy_table-0.0.5-r5.ebuild
new file mode 100644
index 00000000000..b9cae1ccddc
--- /dev/null
+++ b/dev-ruby/tidy_table/tidy_table-0.0.5-r5.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_EXTRADOC="History.txt README.txt"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Tool to convert an array of struct into an HTML table"
+HOMEPAGE="https://github.com/topfunky/tidy_table";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+       # Remove reference to RSpec 1
+       sed -i -e '/spec/d' -e '1irequire "date"' spec/spec_helper.rb || die
+
+       # Remove metadata so a stub gemspec will be created to avoid the
+       # wrong runtime dependency on dev-ruby/hoe.
+       rm -f ../metadata || die
+}

Reply via email to